stetho-timber Library issue with new Timber 4.1.2

Standard

While I was trying to use stetho-timber Library in my Android application I faced this problem:

Error:Module 'com.facebook.stetho:stetho-timber:1.3.1' depends on one or more Android Libraries but is a jar

After inspecting in its codes I found that it uses timber v3.0.1!

Just add this to your build.gradle dependencies tag to exclude timber within the stetho library,
cause it is an old version and conflicts with new one:

dependencies {
    compile ("com.facebook.stetho:stetho-timber:1.3.1") {
        exclude group: "com.jakewharton.timber", module: "timber"
    }
    .
    .
    .

I have recently found Facebook Stetho Library and using it is fantastic, give it a try! :)

One thought on “stetho-timber Library issue with new Timber 4.1.2

  1. Hey, very nice site. I came across this on Google, and I am stoked that I did. I will definitely be coming back here more often. Wish I could add to the conversation and bring a bit more to the table, but am just taking in as much info as I can at the moment. Thanks for sharing.
    Dai Software
    Keep Posting:)

Leave a Reply

Your email address will not be published. Required fields are marked *